Recommended update for oracleasm

SUSE Recommended Update: Recommended update for oracleasm
Announcement ID: SUSE-RU-2019:2490-1
Rating: moderate
References: #1053298 #1093128 #1119403 #1144700 #1145675
Affected Products:
  • SUSE Linux Enterprise Module for Server Applications 15

An update that has 5 recommended fixes can now be installed.

Description:

This update for oracleasm provides the following fixes:

  • Fix use after free for request processing timer. (bsc#1145675)
  • Fix build error with kernel 5.3. (bsc#1144700)
  • Fix error: storage size of 'iter' isn't known. (bsc#1119403)
  • Updated code for SLES15 Kernel. (bsc#1053298, bsc#1093128)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Server Applications 15:
    zypper in -t patch SUSE-SLE-Module-Server-Applications-15-2019-2490=1

Package List:

  • SUSE Linux Enterprise Module for Server Applications 15 (aarch64 ppc64le s390x x86_64):
    • oracleasm-kmp-default-2.0.8_k4.12.14_150.32-4.3.1
    • oracleasm-kmp-default-debuginfo-2.0.8_k4.12.14_150.32-4.3.1

References: